### Function

# Gimp patterns_popup

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_patterns_popup (
      const gchar* pattern_callback,
      const gchar* popup_title,
      GimpPattern* initial_pattern,
      GBytes* parent_window
    )

#### Description [src]

Invokes the Gimp pattern selection.

Opens the pattern selection dialog.

Available since: 3.0

#### Parameters

`pattern_callback`

  Type: `const gchar*`

  The callback PDB proc to call when the user chooses a pattern.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the pattern selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_pattern`

  Type: `GimpPattern`

  The pattern to set as the initial choice.

  The data is owned by the caller of the function.

`parent_window`

  Type: `GBytes`

  An optional parent window handle for the popup to be set transient to.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.